Bug 834751 - [abrt] mtpfs-1.1-0.2.svn20120510.fc17: __GI_raise: Process /usr/bin/mtpfs was killed by signal 6 (SIGABRT)
[abrt] mtpfs-1.1-0.2.svn20120510.fc17: __GI_raise: Process /usr/bin/mtpfs was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mtpfs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
abrt_hash:6dc788c56aa07a84dfde7d09354...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 04:52 EDT by Thomas Meyer
Modified: 2013-07-08 17:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 17:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.13 KB, text/plain)
2012-06-23 04:52 EDT, Thomas Meyer
no flags Details
File: maps (9.04 KB, text/plain)
2012-06-23 04:53 EDT, Thomas Meyer
no flags Details

  None (edit)
Description Thomas Meyer 2012-06-23 04:52:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        mtpfs mnt
comment:        I tried to create a directory in the Podcasts directory
crash_function: __GI_raise
executable:     /usr/bin/mtpfs
kernel:         3.4.0-1.fc17.x86_64
pid:            11078
pwd:            /
time:           Sa 23 Jun 2012 10:48:52 CEST
uid:            1000
username:       thomas

backtrace:      Text file, 15491 bytes
maps:           Text file, 9253 bytes

build_ids:
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:b6d75088f555d197be1476cb1c580640826ae029
:7c35310fc506498c612d5d982ab03becc4b4817c
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:f03fde88fd2c3180a8039f0bdb5236640841f689
:31243d0d107bba586a96433c76c87a26db1e826c
:73777e822e00ca152ffca281ab0ace0cb498ec48
:5dd234206476b0387cd251598aa72a2c95c763c5
:67792c148d2b8f13f6732c9367e926c26d7376c5
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:fe4eff76545845c6f5acc24045faa00321a98420
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:f64b7319b84d426ed547084bdb2577f4f596c18f
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:99c23b21038c62b0628b93610fb54c5900c40ffd
:822e9b3523e8312240f41a25722d539bc77ed436
:072d39a98c6a8467a9e4dbf086a501da4ce25e84

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thomas/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c80e _int_free libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d3cf g_free libglib-2.0.so.0 -
:fe4eff76545845c6f5acc24045faa00321a98420 0x2c74 - [exe] -
:fe4eff76545845c6f5acc24045faa00321a98420 0x37d2 - [exe] -
:fe4eff76545845c6f5acc24045faa00321a98420 0x38a1 - [exe] -
:072d39a98c6a8467a9e4dbf086a501da4ce25e84 0xe998 - libfuse.so.2 -
:072d39a98c6a8467a9e4dbf086a501da4ce25e84 0xf5c1 - libfuse.so.2 -
:072d39a98c6a8467a9e4dbf086a501da4ce25e84 0x1271d - libfuse.so.2 -
:072d39a98c6a8467a9e4dbf086a501da4ce25e84 0x116f6 - libfuse.so.2 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

dso_list:
:/usr/lib64/libgthread-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338936304
:/usr/lib64/libglib-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338936304
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1338823121
:/usr/lib64/libgobject-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338936304
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1338585214
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1338823209
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1338823220
:/usr/lib64/libgmodule-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338936304
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/libresolv-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/libmtp.so.9.0.3 libmtp-1.1.3-2.fc17.x86_64 (Fedora Project) 1338825064
:/usr/lib64/libgio-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338936304
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108
:/usr/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc17.x86_64 (Fedora Project) 1338823209
:/usr/lib64/libfuse.so.2.8.7 fuse-libs-2.8.7-1.fc17.x86_64 (Fedora Project) 1338827920
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338823108

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=1208
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/thomas/.gnupg/S.gpg-agent:1231:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:WINDOWID=56623108
:GNOME_KEYRING_CONTROL=/run/user/thomas/keyring-s9EwHh
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=thomas
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-ZfikTSmu1130/agent.1130
:USERNAME=thomas
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1242,unix/unix:/tmp/.ICE-unix/1242
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/thomas/bin
:MAIL=/var/spool/mail/thomas
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:PWD=/home/thomas
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1126
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/thomas
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=thomas
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8DY7xiFPYY,guid=f18a7886fceeb3768c078b6100000057
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0.0
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-thomas-eGknAp/database
:_=/usr/bin/mtpfs
:OLDPWD=/home/thomas/workspace/jEdit

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30698                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30698                30698                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/dev/null
:2:/dev/null
:3:pipe:[998322]
:4:pipe:[998322]
:5:anon_inode:[timerfd]
:6:/dev/bus/usb/002/058
:7:/dev/fuse

var_log_messages:
:Jun 23 10:12:48 localhost yum[10217]: Installed: mtpfs-1.1-0.2.svn20120510.fc17.x86_64
:Jun 23 10:48:52 localhost abrt[11896]: File '/usr/bin/mtpfs' seems to be deleted
:Jun 23 10:48:53 localhost abrt[11896]: Saved core dump of pid 11078 (/usr/bin/mtpfs) to /var/spool/abrt/ccpp-2012-06-23-10:48:52-11078 (35708928 bytes)
Comment 1 Thomas Meyer 2012-06-23 04:52:59 EDT
Created attachment 593868 [details]
File: backtrace
Comment 2 Thomas Meyer 2012-06-23 04:53:01 EDT
Created attachment 593869 [details]
File: maps
Comment 3 Kurt Nelson 2012-07-11 11:48:41 EDT
android MTP device mounted

backtrace_rating: 4
Package: mtpfs-1.1-0.2.svn20120510.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Georg Sauthoff 2012-08-04 03:59:56 EDT
1. Connect the Samsung Galaxy Nexus Android Phone
2. as normal user: 'mkdir mnt' was executed
3. as normal user: 'mtpfs  mnt'
4. 'cp large_podcast_file.mp3 mnt'

In a previous try I got a signal 11 (SIGSEGV).

Perhaps related: a 'find' and the gnome file manager only display 2 top level directories and nothing else. 'mtp-files' also lists '<none>' named files.


backtrace_rating: 4
Package: mtpfs-1.1-0.2.svn20120510.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Gal 2012-08-20 18:26:06 EDT
Tried copying a folder to the SD card of my phone, after I mounted it using mtpfs.
Crashed several times, could not write to the device.

Phone: Galaxy S II


backtrace_rating: 4
Package: mtpfs-1.1-0.2.svn20120510.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 David Kovalsky 2012-09-17 06:49:08 EDT
I entered Android directory on my Samsung Galaxy Nexus in midnight commander.

Boom!


backtrace_rating: 4
Package: mtpfs-1.1-0.2.svn20120510.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Ian Laws 2012-10-13 08:26:22 EDT
Attempting to mount the Nexus 7 on my computer.
ROTT:
mtpfs install
udev rule created.
mount created /media/Nexus/Tablet
bashrc modified
alias android-connect="mtpfs -o allow_other /media/Nexus_tablet"
alias android-disconnect="fusermount -u /media/Nexus_tablet"
USER
mtpfs -V
started using nautilus to search the device and then it errored.


backtrace_rating: 4
Package: mtpfs-1.1-0.2.svn20120510.fc16
OS Release: Fedora release 16 (Verne)
Comment 8 Fedora End Of Life 2013-07-03 22:58:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Thomas Meyer 2013-07-08 17:23:31 EDT
closed as nobody cares.

Note You need to log in before you can comment on or make changes to this bug.